Update group

PATCH/sms-api/contact/updateGroup/{groupId}

Rename a group or change its icon. Only the fields you send are changed.

Parameters

  • groupIdpathstringrequired

    Group id.

  • namestringoptional

    New name, at least 3 characters.

  • group_iconstringoptional

    New icon.

    group_icon_1group_icon_2group_icon_3group_icon_4group_icon_5group_icon_6

Errors

  • 404Group not found

Request

curl -X PATCH "https://api.bulkclix.com/api/v1/sms-api/contact/updateGroup/7a8b9c0d-1e2f-4a3b-8c4d-5e6f7a8b9c0d" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "VIP customers 2026"
}'

Response · 200

application/json
{
  "message": "Group Updated Successfully",
  "data": {
    "id": "7a8b9c0d-1e2f-4a3b-8c4d-5e6f7a8b9c0d",
    "name": "VIP customers 2026",
    "group_icon": "group_icon_1"
  }
}